Skip to main content
PATCH
/
orgs
/
{orgId}
/
compliance
/
controls
/
{controlId}
cURL
curl --request PATCH \
  --url https://api.useanima.sh/v1/orgs/{orgId}/compliance/controls/{controlId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "owner": "<string>",
  "nextReviewAt": "<string>"
}
'
{
  "id": "<string>",
  "orgId": "<string>",
  "controlId": "<string>",
  "title": "<string>",
  "description": "<string>",
  "owner": "<string>",
  "lastTestedAt": "<string>",
  "nextReviewAt": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

orgId
string
required

Organization identifier

controlId
string
required

Compliance control identifier

Body

application/json

Input for updating a control's status

status
enum<string>
required

New status for the control

Available options:
NOT_STARTED,
IN_PROGRESS,
IMPLEMENTED,
VERIFIED,
FAILED
owner
string

Owner to assign

nextReviewAt
string

ISO 8601 next review date

Response

200 - application/json

OK

A compliance control record

id
string
required

Unique control identifier

orgId
string
required

Organization identifier

framework
enum<string>
required

Compliance framework identifier

Available options:
SOC2,
GDPR,
PCI
controlId
string
required

Control identifier (e.g. CC1.1)

title
string
required

Control title

description
string
required

Control description

category
enum<string>
required

Trust Service Criteria category

Available options:
CC1,
CC2,
CC3,
CC4,
CC5,
CC6,
CC7,
CC8,
CC9,
A1,
PI1,
C1,
P1
status
enum<string>
required

Current status of the compliance control

Available options:
NOT_STARTED,
IN_PROGRESS,
IMPLEMENTED,
VERIFIED,
FAILED
owner
string | null
required

Owner responsible for this control

lastTestedAt
string | null
required

ISO 8601 timestamp of last test

nextReviewAt
string | null
required

ISO 8601 timestamp of next review

createdAt
string
required

ISO 8601 creation timestamp

updatedAt
string
required

ISO 8601 last update timestamp